
require('Data.loveframes')
love.graphics.setMode(640,480)

TITLE = {}
TITLE.background = love.graphics.newImage("Graphics/Original.jpg")
TITLE.size = {w=100, h=30}
TITLE.optionsX = 260
TITLE.optionsY = 180
TITLE.spacing = 40

	gamestate = "menu"

if gamestate == "menu" then

function love.load()

	local newGame = loveframes.Create("button")
	newGame:SetSize(TITLE.size.w, TITLE.size.h)
	newGame:SetPos(TITLE.optionsX, TITLE.optionsY)
	newGame:SetText("New Game")
	newGame.OnClick = TITLE.newGame


	local loadGame = loveframes.Create("button")
	loadGame:SetSize(TITLE.size.w, TITLE.size.h)
	loadGame:SetPos(TITLE.optionsX, TITLE.optionsY + TITLE.spacing)
	loadGame:SetText("Load Game")
	loadGame.OnClick = TITLE.loadGame

	local exit = loveframes.Create("button")
	exit:SetSize(TITLE.size.w, TITLE.size.h)
	exit:SetPos(TITLE.optionsX, TITLE.optionsY + TITLE.spacing * 2)
	exit:SetText("Exit")
	exit.OnClick = TITLE.exit

	TITLE.newGame = newGame
	TITLE.loadGame = loadGame
	TITLE.exit = exit
end

function TITLE.newGame(button)
function love.load()

local background = love.graphics.newImage("Graphics/seven.jpg")
Bleft = love.graphics.newImage("Graphics/Bleft.png")
Bright = love.graphics.newImage("Graphics/Bright.png")
	
end

x = 400
y = 300
speed = 200

	
local tmnt = love.audio.newSource("Audio/TMNT.mp3")

tmnt:setLooping(true)
love.audio.setVolume(1)
love.audio.play(tmnt)

end

Bunchie = Bleft

function love.update(dt)

	if love.keyboard.isDown("down") then
	y = y + (speed * dt)
	end

	if love.keyboard.isDown("up") then
	y = y - (speed * dt)
	end
	

	if love.keyboard.isDown("right") then
	x = x + (speed * dt)
	Bunchie = Bleft
	end
	

	if love.keyboard.isDown("left") then
	x = x - (speed * dt)
	Bunchie = Bright
	end

	if love.keyboard.isDown("escape") then
	love.event.push('quit')
	end
end
end

function TITLE.loadGame(button)
	-- Not done yet
end

function TITLE.exit(button)
	love.event.push('quit')
end

function love.draw()
	love.graphics.draw(background)
	love.graphics.draw(Bunchie, x, y)
	end

function love.update(dt)
	loveframes.update(dt)
end

function love.draw()
	love.graphics.draw(TITLE.background)
	loveframes.draw()
end
 
function love.mousepressed(x, y, button)
	loveframes.mousepressed(x, y, button)
end
 
function love.mousereleased(x, y, button)
	loveframes.mousereleased(x, y, button)
end
 
function love.keypressed(key, unicode)
	loveframes.keypressed(key, unicode)
end
 
function love.keyreleased(key)
	loveframes.keyreleased(key)
end